#include <bits/stdc++.h>

using namespace std;
string s;
int br;
int main(){
   cin>>s;
   br=0;
   int duz=s.size();
      for (int i=0;i<duz;i++){
        if (s[i]==s[i+1]) br++;
      }
   cout<<0;
   return 0;
}